Skip to main content
POST
Session Profile Save

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

session_id
string
required

Body

application/json
profile_id
string | null

Existing profile to overwrite with the session's current browser state. Omit it together with name to save into the profile the session was started with.

Minimum string length: 1
name
string | null

Create a new profile with this name and save into it. Mutually exclusive with profile_id.

Minimum string length: 1

Response

Successful Response

profile_id
string
required

Profile ID (format: notte-profile-{16 hex chars})

name
string | null
required

Profile name

created_at
string<date-time>
required

Profile creation timestamp

updated_at
string<date-time>
required

Profile last update timestamp

persisted_domains
string[]

List of domains with persisted browser state (cookies, localStorage, sessionStorage)